import * as riot from 'riot'

import TinyNotification from '@tiny-components/notification/src/notification.riot'
riot.register('tiny-notification', TinyNotification)

import TinySidebarForm from '@tiny-components/sidebar-form/src/sidebarForm.riot'
riot.register('tiny-sidebar-form', TinySidebarForm)

import AppHubIndex from './components/hub/index.riot'
import AppHubCreate from './components/hub/create.riot'
import AppHubForm from './components/hub/form.riot'

// register components
riot.register('app-hub-index', AppHubIndex)
riot.register('app-hub-create', AppHubCreate)
riot.register('app-hub-form', AppHubForm)

// mount components
riot.mount('app-hub-index')