import PouchDB from 'pouchdb'
import PouchDBfind from 'pouchdb-find'

/**
 *  PouchdbHandler
 *
 *  @author Björn Hase, me@herr-hase.wtf
 *  @license http://opensource.org/licenses/MIT The MIT License
 *  @link https://gitea.node001.net/HerrHase/super-hog
 *
 */

class PouchdbHandler {

    /**
     *
     *
     */
    constructor() {
        PouchDB.plugin(PouchDBfind)

        this.db = new PouchDB('./../../storage/database', {
            revs_limit: 5
        })
    }
}

export default PouchdbHandler