import * as riot from 'riot'

import TinyNotification from '@tiny-components/notification/src/notification.riot'
riot.register('tiny-notification', TinyNotification)

import AppFileParent from './components/file/parent.riot'
import AppFileIndex from './components/file/index.riot'
import AppFileFiles from './components/file/files.riot'

// register components
riot.register('app-file-index', AppFileIndex)
riot.register('app-file-parent', AppFileParent)
riot.register('app-file-files', AppFileFiles)

// mount components
riot.mount('app-file-index')