import fastifyStatic from '@fastify/static'
import path from 'path'

/**
 *  handle static
 *
 *  @author Björn Hase, Tentakelfabrik
 *  @license http://opensource.org/licenses/MIT The MIT License
 *  @link https://github.com/tentakelfabrik/fastify-lowdb-riotjs-lessons-learned
 *
 */

export default async function(fastify, opts)
{
    /**
     *
     *
     */
    fastify.register(fastifyStatic, {
        root: path.join(path.resolve(), '/../../public'),
        prefix: '/',
        preCompressed: true
    })
}